Bug 195769

Summary: [NEW PORT] games/katawa-shoujo: Bishoujo-style visual novel about disabled adolescents
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: Jan Beich <jbeich>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on: 195768    
Bug Blocks:    
Attachments:
Description Flags
shar, v0
none
|poudriere testport| log (10.0R amd64)
none
shar, v0.1
none
|poudriere testport| log (10.1R i386)
none
shar, v0.1.1
none
shar, v0.1.2
none
shar, v0.2 none

Description Jan Beich freebsd_committer 2014-12-07 06:29:08 UTC
Created attachment 150298 [details]
shar, v0

Katawa Shoujo is a bishoujo-style visual novel by Four Leaf Studios
that tells a story of a young man and five young women living with
varying disabilities. The game uses a traditional text and
sprite-based visual novel model with an ADV-style text box running on
the Ren'Py visual novel engine. -- Wikipedia

WWW: http://www.katawa-shoujo.com/
Comment 1 Jan Beich freebsd_committer 2014-12-07 06:33:54 UTC
Created attachment 150299 [details]
|poudriere testport| log (10.0R amd64)

poudriere doesn't like spaces in WRKSRC?

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
env: Shoujo-linux-x86: No such file or directory
*** Error code 127
Comment 2 Jan Beich freebsd_committer 2014-12-07 20:56:07 UTC
Created attachment 150318 [details]
shar, v0.1

- unbreak check-plist by working around absence of :Q or quotes in bsd.port.mk
- add CC version for LICENSE
Comment 3 Jan Beich freebsd_committer 2014-12-07 20:56:53 UTC
Created attachment 150319 [details]
|poudriere testport| log (10.1R i386)
Comment 4 Jan Beich freebsd_committer 2014-12-07 21:21:07 UTC
$ portlint -A
WARN: Makefile: possible use of absolute pathname "/_/}_${PORTVERSION}$...".
WARN: Makefile: possible use of absolute pathname "/_/}_${PORTVERSION}$...".
0 fatal errors and 2 warnings found.

Those are false positives. portlint(1) doesn't like :S with / (slash) as a separator in DISTFILES and EXTRACT_ONLY.
Comment 5 Jan Beich freebsd_committer 2014-12-07 21:27:16 UTC
Created attachment 150323 [details]
shar, v0.1.1

Pacify above portlint warning. S/../../ -> S|..|..|
Comment 6 Jan Beich freebsd_committer 2014-12-08 04:04:49 UTC
Created attachment 150334 [details]
shar, v0.1.2

RUN_DEPENDS on renpy script in PATH rather than just the package
Comment 7 Jan Beich freebsd_committer 2014-12-08 16:21:50 UTC
Created attachment 150355 [details]
shar, v0.2

- tweak LICENSE* style based on games/ufoai-data
- add $@ to the launcher, unlike ponscr only useful for --savedir
Comment 8 Jan Beich freebsd_committer 2014-12-11 03:43:57 UTC
Marked as MANUAL_PACKAGE_BUILD unlike bug 195800. Not sure about the boundary when a package becomes too big.

  # marked
  $ pkg info katawa-shoujo | fgrep size
  Flat size      : 470MiB

  # not marked
  $ pkg info narcissu2 | fgrep size
  Flat size      : 326MiB
Comment 9 Jan Beich freebsd_committer 2015-01-23 01:49:41 UTC
https://reviews.freebsd.org/D1601
Comment 10 commit-hook freebsd_committer 2015-02-03 19:14:29 UTC
A commit references this bug:

Author: jbeich
Date: Tue Feb  3 19:14:11 UTC 2015
New revision: 378367
URL: https://svnweb.freebsd.org/changeset/ports/378367

Log:
  Add new port games/katawa-shoujo

  PR:		195769
  Differential Revision:	https://reviews.freebsd.org/D1601
  Requested by:	XENOHEAVEN on forums.pcbsd.org
  Reviewed by:	games (amdmi3)
  Approved by:	flo (mentor)

  Katawa Shoujo is a bishoujo-style visual novel set in the fictional
  Yamaku High School for disabled children, located somewhere in modern
  Japan. Hisao Nakai, a normal boy living a normal life, has his life
  turned upside down when a congenital heart defect forces him to move
  to a new school after a long hospitalization. Despite his
  difficulties, Hisao is able to find friends - and perhaps love, if he
  plays his cards right. There are five main paths corresponding to the
  5 main female characters, each path following the storyline pertaining
  to that character.

  WWW: http://www.katawa-shoujo.com/

Changes:
  head/games/Makefile
  head/games/katawa-shoujo/
  head/games/katawa-shoujo/Makefile
  head/games/katawa-shoujo/distinfo
  head/games/katawa-shoujo/pkg-descr